Skip to content

Authentication

POST /v1/authentication/oauth/access-token

Request a Bearer token for API access.

Headers:

HeaderValue
AuthorizationBasic <Base64(Client_ID:Client_Secret)>

Request: No body required.

Example:

bash
curl -X POST https://baas-gtw.axiadigitalsolutions.com/v1/authentication/oauth/access-token \
  -H "Authorization: Basic Y2xpZW50X2fdfdfdF9zZWNyZXQ="

Response 200 OK:

json
{
  "access_token": "eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9...",
  "token_type": "Bearer"
}

POST /v1/authentication/oauth/introspect

Validate/introspect a token to check if it is still active.

Headers:

HeaderValue
AuthorizationBasic <Base64(Client_ID:Client_Secret)> + Bearer token

Example:

bash
curl -X POST https://baas-gtw.axiadigitalsolutions.com/v1/authentication/oauth/introspect \
  -H "Authorization: Basic Y2xpZW50X2lkOmNsaWVudF9zZWNyZXQ=" \
  -H "Authorization: Bearer eyJhbGci..."

Response 200 OK:

json
{
  "active": true,
  "client_id": "your-client-id",
  "token_type": "Bearer",
  "exp": 1710786400
}

POST /v1/authentication/oauth/revoke

Revoke a token and all linked grants.

Headers:

HeaderValue
AuthorizationBasic <Base64(Client_ID:Client_Secret)> + Bearer token

Example:

bash
curl -X POST https://baas-gtw.axiadigitalsolutions.com/v1/authentication/oauth/revoke \
  -H "Authorization: Basic Y2xpZW50X2lkOmNsaWVudF9zZWNyZXQ=" \
  -H "Authorization: Bearer eyJhbGci..."

Response 200 OK:

json
{
  "status": "Token revoked"
}